CS_PARTITION(1)

NAME
cs_partition - Compute domain partition(s) of Code_Saturne preprocessor output.

SYNOPSIS
cs_partition <n_ranks> [<n_ranks_2> ... <n_ranks_n>] [-no-perio] [-no-write]

DESCRIPTION
The cs_partition program takes the file named preprocessor_output created by the Code_Saturne preprocessor cs_preprocess and builds one or several "cells -> domain" association files, named domain_number_p by using a graph splitting if linked with a METIS or SCOTCH library.

OPTIONS

<n_ranks>
    Number of ranks of destination partition (> 1).

--metis
    Use METIS for partitioning (default if available).

--scotch
    Use SCOTCH for partitioning.

--no-perio
    Ignore periodicity information if present.

--no-write
    Do not write output.

-h  Print a usage message and exit.

ENVIRONMENT

CS_PARTITION_MEM_LOG
    Name of memory operations trace file.

EXAMPLE
cs_partition 32 64 -no-write

SEE ALSO
cs_io_dump(1), cs_preprocess(1)